## ev-document-misc

ev-document-misc

## Synopsis

    GdkPixbuf *         ev_document_misc_get_thumbnail_frame
                                                            (int width,
                                                             int height,
                                                             GdkPixbuf *source_pixbuf);
    void                ev_document_misc_get_page_border_size
                                                            (gint page_width,
                                                             gint page_height,
                                                             GtkBorder *border);
    void                ev_document_misc_paint_one_page     (cairo_t *cr,
                                                             GtkWidget *widget,
                                                             GdkRectangle *area,
                                                             GtkBorder *border,
                                                             gboolean highlight,
                                                             gboolean inverted_colors);
    cairo_surface_t *   ev_document_misc_surface_from_pixbuf
                                                            (GdkPixbuf *pixbuf);
    GdkPixbuf *         ev_document_misc_pixbuf_from_surface
                                                            (cairo_surface_t *surface);
    cairo_surface_t *   ev_document_misc_surface_rotate_and_scale
                                                            (cairo_surface_t *surface,
                                                             gint dest_width,
                                                             gint dest_height,
                                                             gint dest_rotation);
    void                ev_document_misc_invert_surface     (cairo_surface_t *surface);
    void                ev_document_misc_invert_pixbuf      (GdkPixbuf *pixbuf);

## Description

## Details

### ev_document_misc_get_thumbnail_frame ()

    GdkPixbuf *         ev_document_misc_get_thumbnail_frame
                                                            (int width,
                                                             int height,
                                                             GdkPixbuf *source_pixbuf);

`width` : |
`height` : |
`source_pixbuf` : |
Returns : |

### ev_document_misc_get_page_border_size ()

    void                ev_document_misc_get_page_border_size
                                                            (gint page_width,
                                                             gint page_height,
                                                             GtkBorder *border);

`page_width` : |
`page_height` : |
`border` : |

### ev_document_misc_paint_one_page ()

    void                ev_document_misc_paint_one_page     (cairo_t *cr,
                                                             GtkWidget *widget,
                                                             GdkRectangle *area,
                                                             GtkBorder *border,
                                                             gboolean highlight,
                                                             gboolean inverted_colors);

`drawable` : |
`widget` : |
`area` : |
`border` : |
`highlight` : |

### ev_document_misc_surface_from_pixbuf ()

    cairo_surface_t *   ev_document_misc_surface_from_pixbuf
                                                            (GdkPixbuf *pixbuf);

`pixbuf` : |
Returns : |

### ev_document_misc_pixbuf_from_surface ()

    GdkPixbuf *         ev_document_misc_pixbuf_from_surface
                                                            (cairo_surface_t *surface);

`surface` : |
Returns : |

### ev_document_misc_surface_rotate_and_scale ()

    cairo_surface_t *   ev_document_misc_surface_rotate_and_scale
                                                            (cairo_surface_t *surface,
                                                             gint dest_width,
                                                             gint dest_height,
                                                             gint dest_rotation);

`surface` : |
`dest_width` : |
`dest_height` : |
`dest_rotation` : |
Returns : |

### ev_document_misc_invert_surface ()

    void                ev_document_misc_invert_surface     (cairo_surface_t *surface);

### ev_document_misc_invert_pixbuf ()

    void                ev_document_misc_invert_pixbuf      (GdkPixbuf *pixbuf);